View Subscription Details of an Account
get
/metering/api/v1/cloudbucks/{accountId}
Retrieve subscription details of services and entitlements belonging to an account or identity domain.
Request
Path Parameters
-
accountId: string
Account name, starts with cacct.
Query Parameters
-
entitlementIds: string
Comma separated list of Service Entitlement Ids.
Response
Supported Media Types
- application/vnd.com.oracle.oraclecloud.metering.cloudbucks+json
200 Response
Success
Nested Schema : CloudBuck
Type:
objectTitle:
Show Source
CloudBuck-
balance(optional):
array balance
-
billingType(optional):
string
-
canonicalLink(optional):
string
-
cbProperties(optional):
array cbProperties
-
cloudBucksType(optional):
string
-
consumed(optional):
number
-
entitlementId(optional):
string
-
hardLimitAll(optional):
number
-
hardLimitNew(optional):
number
-
id(optional):
string
-
overagesAllowed(optional):
boolean
-
purchase(optional):
array purchase
-
runningBalance(optional):
array runningBalance
-
serviceEntitlements(optional):
array serviceEntitlements
-
serviceType(optional):
string
-
softLimit(optional):
number
-
status(optional):
string
-
subscriptionCategory(optional):
string
-
subscriptionType(optional):
string
Title:
SubscriptionTypeAllowed Values:[ "TRIAL", "PRODUCTION", "ORACLE_ASSIGNED_ENVIRONMENT" ]
Nested Schema : createdOn
Type:
objectNested Schema : items
Type:
Show Source
array-
Array of:
object PurchasedResource
Title:
PurchasedResource
Nested Schema : PurchasedResource
Type:
objectTitle:
Show Source
PurchasedResource-
createdOn(optional):
object createdOn
-
derived(optional):
string
-
displayName(optional):
string
-
endDate(optional):
object endDate
-
modifiedOn(optional):
object modifiedOn
-
name(optional):
string
-
orderLineId(optional):
string
-
quotaBalance(optional):
number
-
rateCardId(optional):
string
-
serviceName(optional):
string
-
startDate(optional):
object startDate
-
unit(optional):
string
-
value(optional):
number
Nested Schema : createdOn
Type:
objectNested Schema : endDate
Type:
objectNested Schema : modifiedOn
Type:
objectNested Schema : startDate
Type:
objectNested Schema : createdOn
Type:
objectNested Schema : items
Type:
Show Source
array-
Array of:
object PurchasedResource
Title:
PurchasedResource
Nested Schema : items
Type:
Show Source
array-
Array of:
object ServiceEntitlement
Title:
ServiceEntitlement
Nested Schema : items
Type:
Show Source
array-
Array of:
object ServiceInstance
Title:
ServiceInstance
Default Response
Unexpected error.
Examples
cURL Command
The following example shows how to retrieve Cloudbucks data by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
Enter the command on a single line. Line breaks are used in this example for readability.
curl -X GET
-u joe@example.com
-H "X-ID-TENANT-NAME:myDomain"
"https://itra.oraclecloud.com/metering/api/v1/cloudbucks/sseyz05242hng?entitlementIds=504299056,504299054"
Example of Request Body
There is no request body to submit with the HTTP request.
Example of Response Body
The following example shows the response body in JSON format.
{
"items": [
{
"status": "ACTIVE",
"entitlementId": "504299056",
"id": "844327750",
"canonicalLink": "/metering/api/v1/cloudbucks/sseyz05242hng/504299056",
"hardLimitAll": 0,
"hardLimitNew": 0,
"overagesAllowed": false,
"softLimit": 0,
"balance": [
{
"createdOn": "2017-05-24T15:54:11.249Z",
"id": "PZ844327759",
"purchasedResources": [
{
"name": "CLOUD_CREDIT_AMOUNT",
"value": 0,
"createdOn": "2017-05-24T15:54:11.249Z",
"modifiedOn": "2017-05-24T15:54:11.249Z",
"derived": "N"
}
]
},
{
"createdOn": "2017-05-24T15:54:11.249Z",
"id": "504295272",
"purchasedResources": [
{
"name": "BYTES_USED",
"value": 2048,
"createdOn": "2017-05-24T15:54:11.249Z",
"modifiedOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "N",
"quotaBalance": 2048,
"displayName": "Standard Gigabytes Used"
},
{
"name": "BYTES_EGRESS",
"value": 20,
"createdOn": "2017-05-24T15:54:11.249Z",
"modifiedOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "Y",
"quotaBalance": 20,
"displayName": "Gigabytes Egressed"
},
{
"name": "WRITE_REQUESTS",
"value": 2000000,
"createdOn": "2017-05-24T15:54:11.249Z",
"modifiedOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "Y",
"quotaBalance": 2000000,
"displayName": "Write Requests"
},
{
"name": "READ_REQUESTS",
"value": 2000000,
"createdOn": "2017-05-24T15:54:11.249Z",
"modifiedOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "Y",
"quotaBalance": 2000000,
"displayName": "Read Requests"
}
]
}
],
"purchase": [
{
"hardLimitAll": 0,
"hardLimitNew": 0,
"overagesAllowed": false,
"softLimit": 0,
"id": "504295272",
"createdOn": "2017-05-24T15:54:11.249Z",
"purchasedResources": [
{
"name": "BYTES_USED",
"value": 2048,
"startDate": "2017-05-24T16:18:27.000Z",
"endDate": "2020-05-23T16:18:27.000Z",
"createdOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "N",
"displayName": "Standard Gigabytes Used"
},
{
"name": "BYTES_EGRESS",
"value": 20,
"startDate": "2017-05-24T16:18:27.000Z",
"endDate": "2020-05-23T16:18:27.000Z",
"createdOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "Y",
"displayName": "Gigabytes Egressed"
},
{
"name": "WRITE_REQUESTS",
"value": 2000000,
"startDate": "2017-05-24T16:18:27.000Z",
"endDate": "2020-05-23T16:18:27.000Z",
"createdOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "Y",
"displayName": "Write Requests"
},
{
"name": "READ_REQUESTS",
"value": 2000000,
"startDate": "2017-05-24T16:18:27.000Z",
"endDate": "2020-05-23T16:18:27.000Z",
"createdOn": "2017-05-24T15:54:11.249Z",
"serviceName": "Storage",
"derived": "Y",
"displayName": "Read Requests"
}
]
},
{
"hardLimitAll": 0,
"hardLimitNew": 0,
"overagesAllowed": true,
"softLimit": 0,
"id": "PZ844327759",
"createdOn": "2017-05-24T15:54:11.249Z",
"purchasedResources": [
{
"name": "CLOUD_CREDIT_AMOUNT",
"value": 0,
"createdOn": "2017-05-24T15:54:11.249Z"
}
]
}
],
"runningBalance": [
{
"createdOn": "2017-05-24T15:54:11.249Z",
"id": "PZ844327759",
"purchasedResources": [
{
"name": "CLOUD_CREDIT_AMOUNT",
"value": 0,
"createdOn": "2017-05-24T15:54:11.249Z",
"modifiedOn": "2017-05-24T15:54:11.249Z",
"derived": "N"
}
]
}
],
"subscriptionType": "PRODUCTION",
"serviceType": "Storage",
"subscriptionCategory": "SRVC_ENTITLEMENT"
},
{
"status": "ACTIVE",
"entitlementId": "504299054",
"id": "844328639",
"canonicalLink": "/metering/api/v1/cloudbucks/sseyz05242hng/504299054",
"hardLimitAll": 0,
"hardLimitNew": 0,
"overagesAllowed": false,
"softLimit": 0,
"balance": [
{
"createdOn": "2017-05-24T15:54:21.621Z",
"id": "PZ844328641",
"purchasedResources": [
{
"name": "CLOUD_CREDIT_AMOUNT",
"value": 0,
"createdOn": "2017-05-24T15:54:21.621Z",
"modifiedOn": "2017-05-24T15:54:21.621Z",
"derived": "N"
}
]
},
{
"createdOn": "2017-05-24T15:54:21.621Z",
"id": "504295270",
"purchasedResources": [
{
"name": "DCS_EE_PAAS_GP_OCPU_HOUR",
"value": 2,
"createdOn": "2017-05-24T15:54:21.621Z",
"modifiedOn": "2017-07-04T11:51:58.365Z",
"serviceName": "DBAAS",
"derived": "N",
"quotaBalance": 2
}
]
}
],
"purchase": [
{
"hardLimitAll": 0,
"hardLimitNew": 0,
"overagesAllowed": false,
"softLimit": 0,
"id": "504295270",
"createdOn": "2017-05-24T15:54:21.621Z",
"purchasedResources": [
{
"name": "DCS_EE_PAAS_GP_OCPU_HOUR",
"value": 2,
"startDate": "2017-05-24T16:18:27.000Z",
"endDate": "2020-05-23T16:18:27.000Z",
"createdOn": "2017-05-24T15:54:21.621Z",
"serviceName": "DBAAS",
"derived": "N"
}
]
},
{
"hardLimitAll": 0,
"hardLimitNew": 0,
"overagesAllowed": true,
"softLimit": 0,
"id": "PZ844328641",
"createdOn": "2017-05-24T15:54:21.621Z",
"purchasedResources": [
{
"name": "CLOUD_CREDIT_AMOUNT",
"value": 0,
"createdOn": "2017-05-24T15:54:21.621Z"
}
]
}
],
"runningBalance": [
{
"createdOn": "2017-05-24T15:54:21.621Z",
"id": "PZ844328641",
"purchasedResources": [
{
"name": "CLOUD_CREDIT_AMOUNT",
"value": 0,
"createdOn": "2017-05-24T15:54:21.621Z",
"modifiedOn": "2017-05-24T15:54:21.621Z",
"derived": "N"
}
]
}
],
"subscriptionType": "PRODUCTION",
"serviceType": "DBAAS",
"subscriptionCategory": "SRVC_ENTITLEMENT"
}
],
"canonicalLink": "/metering/api/v1/cloudbucks/sseyz05242hng"
}